Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361914 - python3-django-reversion requires both Python 2 and Python 3
Summary: python3-django-reversion requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-reversion
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-07-31 21:17 UTC by Petr Viktorin
Modified: 2016-08-27 10:29 UTC (History)
3 users (show)

Fixed In Version: python-django-annoying-0.9.0-1.fc26 python-django-reversion-2.0.0-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:29:05 UTC


Attachments (Terms of Use)
Patch to fix the sitelib directories (deleted)
2016-07-31 21:17 UTC, Petr Viktorin
no flags Details

Description Petr Viktorin 2016-07-31 21:17:38 UTC
Created attachment 1186178 [details]
Patch to fix the sitelib directories

Hello,
Thanks for taking the time to port this package to Python 3! It's much appreciated.

However, there is one problem left: the Python 3 subpackage ended up
with an extra dependency on Python 2, because it includes
%{python_sitelib} by mistake.

Here is a patch to correct the problem. Could you review and apply it?

It would be nice if you could push it to Fedora 25 as well.

Comment 1 Lumír Balhar 2016-08-09 14:58:27 UTC
Patch is simple and looks good to me.

Comment 2 Miro Hrončok 2016-08-16 10:57:39 UTC
I'll push this, as it's simple fix and I'm sure Matthias wouldn't mind.

Comment 3 Fedora Update System 2016-08-16 11:24:13 UTC
python-django-reversion-2.0.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-36f4484d62

Comment 4 Fedora Update System 2016-08-16 16:25:31 UTC
python-django-reversion-2.0.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-36f4484d62

Comment 5 Fedora Update System 2016-08-27 10:29:02 UTC
python-django-reversion-2.0.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.